#pragma once
#ifndef __glexfp_h
#define __glexfp_h

/**
 * This is an automatically generated header file: do not edit
 * Generated 975 functions on Thu Oct 16 14:42:45 2003
 * J.Ward, Computer Science, University of Hull, UK
 * Visit the SGI OpenGL Extensions Registry for detailed
 * extension specifications:
 *   http://oss.sgi.com/projects/ogl-sample/registry
 */

#if defined(_WIN32) && !defined(APIENTRY) && !defined(__CYGWIN__)
  #define WIN32_LEAN_AND_MEAN 1
  #include <windows.h>
#endif

#include <GL/gl.h>
#include <GL/glu.h>
#ifndef GLEX_USE_GL_GLEXT
	#include "glext.h"
#else
	#include <GL/glext.h>		// NOTE: must match the version used in autogen
#endif//GLEX_USE_GL_GLEXT
#ifdef _WIN32
	#ifndef GLEX_USE_GL_GLEXT
		#include "wglext.h"
	#else
		#include <GL/wglext.h>	// NOTE: must match the version used in autogen
	#endif
#endif

class glexfp {
public:
	glexfp();
	bool Load();
	long Count() const;
	long Known() const;
	bool Supports(const char *) const;
private:
	void Reset();
public:
	// GL extension function pointers
	PFNGLBLENDCOLORPROC glBlendColor;
	PFNGLBLENDEQUATIONPROC glBlendEquation;
	PFNGLDRAWRANGEELEMENTSPROC glDrawRangeElements;
	PFNGLCOLORTABLEPROC glColorTable;
	PFNGLCOLORTABLEPARAMETERFVPROC glColorTableParameterfv;
	PFNGLCOLORTABLEPARAMETERIVPROC glColorTableParameteriv;
	PFNGLCOPYCOLORTABLEPROC glCopyColorTable;
	PFNGLGETCOLORTABLEPROC glGetColorTable;
	PFNGLGETCOLORTABLEPARAMETERFVPROC glGetColorTableParameterfv;
	PFNGLGETCOLORTABLEPARAMETERIVPROC glGetColorTableParameteriv;
	PFNGLCOLORSUBTABLEPROC glColorSubTable;
	PFNGLCOPYCOLORSUBTABLEPROC glCopyColorSubTable;
	PFNGLCONVOLUTIONFILTER1DPROC glConvolutionFilter1D;
	PFNGLCONVOLUTIONFILTER2DPROC glConvolutionFilter2D;
	PFNGLCONVOLUTIONPARAMETERFPROC glConvolutionParameterf;
	PFNGLCONVOLUTIONPARAMETERFVPROC glConvolutionParameterfv;
	PFNGLCONVOLUTIONPARAMETERIPROC glConvolutionParameteri;
	PFNGLCONVOLUTIONPARAMETERIVPROC glConvolutionParameteriv;
	PFNGLCOPYCONVOLUTIONFILTER1DPROC glCopyConvolutionFilter1D;
	PFNGLCOPYCONVOLUTIONFILTER2DPROC glCopyConvolutionFilter2D;
	PFNGLGETCONVOLUTIONFILTERPROC glGetConvolutionFilter;
	PFNGLGETCONVOLUTIONPARAMETERFVPROC glGetConvolutionParameterfv;
	PFNGLGETCONVOLUTIONPARAMETERIVPROC glGetConvolutionParameteriv;
	PFNGLGETSEPARABLEFILTERPROC glGetSeparableFilter;
	PFNGLSEPARABLEFILTER2DPROC glSeparableFilter2D;
	PFNGLGETHISTOGRAMPROC glGetHistogram;
	PFNGLGETHISTOGRAMPARAMETERFVPROC glGetHistogramParameterfv;
	PFNGLGETHISTOGRAMPARAMETERIVPROC glGetHistogramParameteriv;
	PFNGLGETMINMAXPROC glGetMinmax;
	PFNGLGETMINMAXPARAMETERFVPROC glGetMinmaxParameterfv;
	PFNGLGETMINMAXPARAMETERIVPROC glGetMinmaxParameteriv;
	PFNGLHISTOGRAMPROC glHistogram;
	PFNGLMINMAXPROC glMinmax;
	PFNGLRESETHISTOGRAMPROC glResetHistogram;
	PFNGLRESETMINMAXPROC glResetMinmax;
	PFNGLTEXIMAGE3DPROC glTexImage3D;
	PFNGLTEXSUBIMAGE3DPROC glTexSubImage3D;
	PFNGLCOPYTEXSUBIMAGE3DPROC glCopyTexSubImage3D;
	PFNGLACTIVETEXTUREPROC glActiveTexture;
	PFNGLCLIENTACTIVETEXTUREPROC glClientActiveTexture;
	PFNGLMULTITEXCOORD1DPROC glMultiTexCoord1d;
	PFNGLMULTITEXCOORD1DVPROC glMultiTexCoord1dv;
	PFNGLMULTITEXCOORD1FPROC glMultiTexCoord1f;
	PFNGLMULTITEXCOORD1FVPROC glMultiTexCoord1fv;
	PFNGLMULTITEXCOORD1IPROC glMultiTexCoord1i;
	PFNGLMULTITEXCOORD1IVPROC glMultiTexCoord1iv;
	PFNGLMULTITEXCOORD1SPROC glMultiTexCoord1s;
	PFNGLMULTITEXCOORD1SVPROC glMultiTexCoord1sv;
	PFNGLMULTITEXCOORD2DPROC glMultiTexCoord2d;
	PFNGLMULTITEXCOORD2DVPROC glMultiTexCoord2dv;
	PFNGLMULTITEXCOORD2FPROC glMultiTexCoord2f;
	PFNGLMULTITEXCOORD2FVPROC glMultiTexCoord2fv;
	PFNGLMULTITEXCOORD2IPROC glMultiTexCoord2i;
	PFNGLMULTITEXCOORD2IVPROC glMultiTexCoord2iv;
	PFNGLMULTITEXCOORD2SPROC glMultiTexCoord2s;
	PFNGLMULTITEXCOORD2SVPROC glMultiTexCoord2sv;
	PFNGLMULTITEXCOORD3DPROC glMultiTexCoord3d;
	PFNGLMULTITEXCOORD3DVPROC glMultiTexCoord3dv;
	PFNGLMULTITEXCOORD3FPROC glMultiTexCoord3f;
	PFNGLMULTITEXCOORD3FVPROC glMultiTexCoord3fv;
	PFNGLMULTITEXCOORD3IPROC glMultiTexCoord3i;
	PFNGLMULTITEXCOORD3IVPROC glMultiTexCoord3iv;
	PFNGLMULTITEXCOORD3SPROC glMultiTexCoord3s;
	PFNGLMULTITEXCOORD3SVPROC glMultiTexCoord3sv;
	PFNGLMULTITEXCOORD4DPROC glMultiTexCoord4d;
	PFNGLMULTITEXCOORD4DVPROC glMultiTexCoord4dv;
	PFNGLMULTITEXCOORD4FPROC glMultiTexCoord4f;
	PFNGLMULTITEXCOORD4FVPROC glMultiTexCoord4fv;
	PFNGLMULTITEXCOORD4IPROC glMultiTexCoord4i;
	PFNGLMULTITEXCOORD4IVPROC glMultiTexCoord4iv;
	PFNGLMULTITEXCOORD4SPROC glMultiTexCoord4s;
	PFNGLMULTITEXCOORD4SVPROC glMultiTexCoord4sv;
	PFNGLLOADTRANSPOSEMATRIXFPROC glLoadTransposeMatrixf;
	PFNGLLOADTRANSPOSEMATRIXDPROC glLoadTransposeMatrixd;
	PFNGLMULTTRANSPOSEMATRIXFPROC glMultTransposeMatrixf;
	PFNGLMULTTRANSPOSEMATRIXDPROC glMultTransposeMatrixd;
	PFNGLSAMPLECOVERAGEPROC glSampleCoverage;
	PFNGLCOMPRESSEDTEXIMAGE3DPROC glCompressedTexImage3D;
	PFNGLCOMPRESSEDTEXIMAGE2DPROC glCompressedTexImage2D;
	PFNGLCOMPRESSEDTEXIMAGE1DPROC glCompressedTexImage1D;
	PFNGLCOMPRESSEDTEXSUBIMAGE3DPROC glCompressedTexSubImage3D;
	PFNGLCOMPRESSEDTEXSUBIMAGE2DPROC glCompressedTexSubImage2D;
	PFNGLCOMPRESSEDTEXSUBIMAGE1DPROC glCompressedTexSubImage1D;
	PFNGLGETCOMPRESSEDTEXIMAGEPROC glGetCompressedTexImage;
	PFNGLBLENDFUNCSEPARATEPROC glBlendFuncSeparate;
	PFNGLFOGCOORDFPROC glFogCoordf;
	PFNGLFOGCOORDFVPROC glFogCoordfv;
	PFNGLFOGCOORDDPROC glFogCoordd;
	PFNGLFOGCOORDDVPROC glFogCoorddv;
	PFNGLFOGCOORDPOINTERPROC glFogCoordPointer;
	PFNGLMULTIDRAWARRAYSPROC glMultiDrawArrays;
	PFNGLMULTIDRAWELEMENTSPROC glMultiDrawElements;
	PFNGLPOINTPARAMETERFPROC glPointParameterf;
	PFNGLPOINTPARAMETERFVPROC glPointParameterfv;
	PFNGLPOINTPARAMETERIPROC glPointParameteri;
	PFNGLPOINTPARAMETERIVPROC glPointParameteriv;
	PFNGLSECONDARYCOLOR3BPROC glSecondaryColor3b;
	PFNGLSECONDARYCOLOR3BVPROC glSecondaryColor3bv;
	PFNGLSECONDARYCOLOR3DPROC glSecondaryColor3d;
	PFNGLSECONDARYCOLOR3DVPROC glSecondaryColor3dv;
	PFNGLSECONDARYCOLOR3FPROC glSecondaryColor3f;
	PFNGLSECONDARYCOLOR3FVPROC glSecondaryColor3fv;
	PFNGLSECONDARYCOLOR3IPROC glSecondaryColor3i;
	PFNGLSECONDARYCOLOR3IVPROC glSecondaryColor3iv;
	PFNGLSECONDARYCOLOR3SPROC glSecondaryColor3s;
	PFNGLSECONDARYCOLOR3SVPROC glSecondaryColor3sv;
	PFNGLSECONDARYCOLOR3UBPROC glSecondaryColor3ub;
	PFNGLSECONDARYCOLOR3UBVPROC glSecondaryColor3ubv;
	PFNGLSECONDARYCOLOR3UIPROC glSecondaryColor3ui;
	PFNGLSECONDARYCOLOR3UIVPROC glSecondaryColor3uiv;
	PFNGLSECONDARYCOLOR3USPROC glSecondaryColor3us;
	PFNGLSECONDARYCOLOR3USVPROC glSecondaryColor3usv;
	PFNGLSECONDARYCOLORPOINTERPROC glSecondaryColorPointer;
	PFNGLWINDOWPOS2DPROC glWindowPos2d;
	PFNGLWINDOWPOS2DVPROC glWindowPos2dv;
	PFNGLWINDOWPOS2FPROC glWindowPos2f;
	PFNGLWINDOWPOS2FVPROC glWindowPos2fv;
	PFNGLWINDOWPOS2IPROC glWindowPos2i;
	PFNGLWINDOWPOS2IVPROC glWindowPos2iv;
	PFNGLWINDOWPOS2SPROC glWindowPos2s;
	PFNGLWINDOWPOS2SVPROC glWindowPos2sv;
	PFNGLWINDOWPOS3DPROC glWindowPos3d;
	PFNGLWINDOWPOS3DVPROC glWindowPos3dv;
	PFNGLWINDOWPOS3FPROC glWindowPos3f;
	PFNGLWINDOWPOS3FVPROC glWindowPos3fv;
	PFNGLWINDOWPOS3IPROC glWindowPos3i;
	PFNGLWINDOWPOS3IVPROC glWindowPos3iv;
	PFNGLWINDOWPOS3SPROC glWindowPos3s;
	PFNGLWINDOWPOS3SVPROC glWindowPos3sv;
	PFNGLACTIVETEXTUREARBPROC glActiveTextureARB;
	PFNGLCLIENTACTIVETEXTUREARBPROC glClientActiveTextureARB;
	PFNGLMULTITEXCOORD1DARBPROC glMultiTexCoord1dARB;
	PFNGLMULTITEXCOORD1DVARBPROC glMultiTexCoord1dvARB;
	PFNGLMULTITEXCOORD1FARBPROC glMultiTexCoord1fARB;
	PFNGLMULTITEXCOORD1FVARBPROC glMultiTexCoord1fvARB;
	PFNGLMULTITEXCOORD1IARBPROC glMultiTexCoord1iARB;
	PFNGLMULTITEXCOORD1IVARBPROC glMultiTexCoord1ivARB;
	PFNGLMULTITEXCOORD1SARBPROC glMultiTexCoord1sARB;
	PFNGLMULTITEXCOORD1SVARBPROC glMultiTexCoord1svARB;
	PFNGLMULTITEXCOORD2DARBPROC glMultiTexCoord2dARB;
	PFNGLMULTITEXCOORD2DVARBPROC glMultiTexCoord2dvARB;
	PFNGLMULTITEXCOORD2FARBPROC glMultiTexCoord2fARB;
	PFNGLMULTITEXCOORD2FVARBPROC glMultiTexCoord2fvARB;
	PFNGLMULTITEXCOORD2IARBPROC glMultiTexCoord2iARB;
	PFNGLMULTITEXCOORD2IVARBPROC glMultiTexCoord2ivARB;
	PFNGLMULTITEXCOORD2SARBPROC glMultiTexCoord2sARB;
	PFNGLMULTITEXCOORD2SVARBPROC glMultiTexCoord2svARB;
	PFNGLMULTITEXCOORD3DARBPROC glMultiTexCoord3dARB;
	PFNGLMULTITEXCOORD3DVARBPROC glMultiTexCoord3dvARB;
	PFNGLMULTITEXCOORD3FARBPROC glMultiTexCoord3fARB;
	PFNGLMULTITEXCOORD3FVARBPROC glMultiTexCoord3fvARB;
	PFNGLMULTITEXCOORD3IARBPROC glMultiTexCoord3iARB;
	PFNGLMULTITEXCOORD3IVARBPROC glMultiTexCoord3ivARB;
	PFNGLMULTITEXCOORD3SARBPROC glMultiTexCoord3sARB;
	PFNGLMULTITEXCOORD3SVARBPROC glMultiTexCoord3svARB;
	PFNGLMULTITEXCOORD4DARBPROC glMultiTexCoord4dARB;
	PFNGLMULTITEXCOORD4DVARBPROC glMultiTexCoord4dvARB;
	PFNGLMULTITEXCOORD4FARBPROC glMultiTexCoord4fARB;
	PFNGLMULTITEXCOORD4FVARBPROC glMultiTexCoord4fvARB;
	PFNGLMULTITEXCOORD4IARBPROC glMultiTexCoord4iARB;
	PFNGLMULTITEXCOORD4IVARBPROC glMultiTexCoord4ivARB;
	PFNGLMULTITEXCOORD4SARBPROC glMultiTexCoord4sARB;
	PFNGLMULTITEXCOORD4SVARBPROC glMultiTexCoord4svARB;
	PFNGLLOADTRANSPOSEMATRIXFARBPROC glLoadTransposeMatrixfARB;
	PFNGLLOADTRANSPOSEMATRIXDARBPROC glLoadTransposeMatrixdARB;
	PFNGLMULTTRANSPOSEMATRIXFARBPROC glMultTransposeMatrixfARB;
	PFNGLMULTTRANSPOSEMATRIXDARBPROC glMultTransposeMatrixdARB;
	PFNGLSAMPLECOVERAGEARBPROC glSampleCoverageARB;
	PFNGLCOMPRESSEDTEXIMAGE3DARBPROC glCompressedTexImage3DARB;
	PFNGLCOMPRESSEDTEXIMAGE2DARBPROC glCompressedTexImage2DARB;
	PFNGLCOMPRESSEDTEXIMAGE1DARBPROC glCompressedTexImage1DARB;
	PFNGLCOMPRESSEDTEXSUBIMAGE3DARBPROC glCompressedTexSubImage3DARB;
	PFNGLCOMPRESSEDTEXSUBIMAGE2DARBPROC glCompressedTexSubImage2DARB;
	PFNGLCOMPRESSEDTEXSUBIMAGE1DARBPROC glCompressedTexSubImage1DARB;
	PFNGLGETCOMPRESSEDTEXIMAGEARBPROC glGetCompressedTexImageARB;
	PFNGLPOINTPARAMETERFARBPROC glPointParameterfARB;
	PFNGLPOINTPARAMETERFVARBPROC glPointParameterfvARB;
	PFNGLWEIGHTBVARBPROC glWeightbvARB;
	PFNGLWEIGHTSVARBPROC glWeightsvARB;
	PFNGLWEIGHTIVARBPROC glWeightivARB;
	PFNGLWEIGHTFVARBPROC glWeightfvARB;
	PFNGLWEIGHTDVARBPROC glWeightdvARB;
	PFNGLWEIGHTUBVARBPROC glWeightubvARB;
	PFNGLWEIGHTUSVARBPROC glWeightusvARB;
	PFNGLWEIGHTUIVARBPROC glWeightuivARB;
	PFNGLWEIGHTPOINTERARBPROC glWeightPointerARB;
	PFNGLVERTEXBLENDARBPROC glVertexBlendARB;
	PFNGLCURRENTPALETTEMATRIXARBPROC glCurrentPaletteMatrixARB;
	PFNGLMATRIXINDEXUBVARBPROC glMatrixIndexubvARB;
	PFNGLMATRIXINDEXUSVARBPROC glMatrixIndexusvARB;
	PFNGLMATRIXINDEXUIVARBPROC glMatrixIndexuivARB;
	PFNGLMATRIXINDEXPOINTERARBPROC glMatrixIndexPointerARB;
	PFNGLWINDOWPOS2DARBPROC glWindowPos2dARB;
	PFNGLWINDOWPOS2DVARBPROC glWindowPos2dvARB;
	PFNGLWINDOWPOS2FARBPROC glWindowPos2fARB;
	PFNGLWINDOWPOS2FVARBPROC glWindowPos2fvARB;
	PFNGLWINDOWPOS2IARBPROC glWindowPos2iARB;
	PFNGLWINDOWPOS2IVARBPROC glWindowPos2ivARB;
	PFNGLWINDOWPOS2SARBPROC glWindowPos2sARB;
	PFNGLWINDOWPOS2SVARBPROC glWindowPos2svARB;
	PFNGLWINDOWPOS3DARBPROC glWindowPos3dARB;
	PFNGLWINDOWPOS3DVARBPROC glWindowPos3dvARB;
	PFNGLWINDOWPOS3FARBPROC glWindowPos3fARB;
	PFNGLWINDOWPOS3FVARBPROC glWindowPos3fvARB;
	PFNGLWINDOWPOS3IARBPROC glWindowPos3iARB;
	PFNGLWINDOWPOS3IVARBPROC glWindowPos3ivARB;
	PFNGLWINDOWPOS3SARBPROC glWindowPos3sARB;
	PFNGLWINDOWPOS3SVARBPROC glWindowPos3svARB;
	PFNGLVERTEXATTRIB1DARBPROC glVertexAttrib1dARB;
	PFNGLVERTEXATTRIB1DVARBPROC glVertexAttrib1dvARB;
	PFNGLVERTEXATTRIB1FARBPROC glVertexAttrib1fARB;
	PFNGLVERTEXATTRIB1FVARBPROC glVertexAttrib1fvARB;
	PFNGLVERTEXATTRIB1SARBPROC glVertexAttrib1sARB;
	PFNGLVERTEXATTRIB1SVARBPROC glVertexAttrib1svARB;
	PFNGLVERTEXATTRIB2DARBPROC glVertexAttrib2dARB;
	PFNGLVERTEXATTRIB2DVARBPROC glVertexAttrib2dvARB;
	PFNGLVERTEXATTRIB2FARBPROC glVertexAttrib2fARB;
	PFNGLVERTEXATTRIB2FVARBPROC glVertexAttrib2fvARB;
	PFNGLVERTEXATTRIB2SARBPROC glVertexAttrib2sARB;
	PFNGLVERTEXATTRIB2SVARBPROC glVertexAttrib2svARB;
	PFNGLVERTEXATTRIB3DARBPROC glVertexAttrib3dARB;
	PFNGLVERTEXATTRIB3DVARBPROC glVertexAttrib3dvARB;
	PFNGLVERTEXATTRIB3FARBPROC glVertexAttrib3fARB;
	PFNGLVERTEXATTRIB3FVARBPROC glVertexAttrib3fvARB;
	PFNGLVERTEXATTRIB3SARBPROC glVertexAttrib3sARB;
	PFNGLVERTEXATTRIB3SVARBPROC glVertexAttrib3svARB;
	PFNGLVERTEXATTRIB4NBVARBPROC glVertexAttrib4NbvARB;
	PFNGLVERTEXATTRIB4NIVARBPROC glVertexAttrib4NivARB;
	PFNGLVERTEXATTRIB4NSVARBPROC glVertexAttrib4NsvARB;
	PFNGLVERTEXATTRIB4NUBARBPROC glVertexAttrib4NubARB;
	PFNGLVERTEXATTRIB4NUBVARBPROC glVertexAttrib4NubvARB;
	PFNGLVERTEXATTRIB4NUIVARBPROC glVertexAttrib4NuivARB;
	PFNGLVERTEXATTRIB4NUSVARBPROC glVertexAttrib4NusvARB;
	PFNGLVERTEXATTRIB4BVARBPROC glVertexAttrib4bvARB;
	PFNGLVERTEXATTRIB4DARBPROC glVertexAttrib4dARB;
	PFNGLVERTEXATTRIB4DVARBPROC glVertexAttrib4dvARB;
	PFNGLVERTEXATTRIB4FARBPROC glVertexAttrib4fARB;
	PFNGLVERTEXATTRIB4FVARBPROC glVertexAttrib4fvARB;
	PFNGLVERTEXATTRIB4IVARBPROC glVertexAttrib4ivARB;
	PFNGLVERTEXATTRIB4SARBPROC glVertexAttrib4sARB;
	PFNGLVERTEXATTRIB4SVARBPROC glVertexAttrib4svARB;
	PFNGLVERTEXATTRIB4UBVARBPROC glVertexAttrib4ubvARB;
	PFNGLVERTEXATTRIB4UIVARBPROC glVertexAttrib4uivARB;
	PFNGLVERTEXATTRIB4USVARBPROC glVertexAttrib4usvARB;
	PFNGLVERTEXATTRIBPOINTERARBPROC glVertexAttribPointerARB;
	PFNGLENABLEVERTEXATTRIBARRAYARBPROC glEnableVertexAttribArrayARB;
	PFNGLDISABLEVERTEXATTRIBARRAYARBPROC glDisableVertexAttribArrayARB;
	PFNGLPROGRAMSTRINGARBPROC glProgramStringARB;
	PFNGLBINDPROGRAMARBPROC glBindProgramARB;
	PFNGLDELETEPROGRAMSARBPROC glDeleteProgramsARB;
	PFNGLGENPROGRAMSARBPROC glGenProgramsARB;
	PFNGLPROGRAMENVPARAMETER4DARBPROC glProgramEnvParameter4dARB;
	PFNGLPROGRAMENVPARAMETER4DVARBPROC glProgramEnvParameter4dvARB;
	PFNGLPROGRAMENVPARAMETER4FARBPROC glProgramEnvParameter4fARB;
	PFNGLPROGRAMENVPARAMETER4FVARBPROC glProgramEnvParameter4fvARB;
	PFNGLPROGRAMLOCALPARAMETER4DARBPROC glProgramLocalParameter4dARB;
	PFNGLPROGRAMLOCALPARAMETER4DVARBPROC glProgramLocalParameter4dvARB;
	PFNGLPROGRAMLOCALPARAMETER4FARBPROC glProgramLocalParameter4fARB;
	PFNGLPROGRAMLOCALPARAMETER4FVARBPROC glProgramLocalParameter4fvARB;
	PFNGLGETPROGRAMENVPARAMETERDVARBPROC glGetProgramEnvParameterdvARB;
	PFNGLGETPROGRAMENVPARAMETERFVARBPROC glGetProgramEnvParameterfvARB;
	PFNGLGETPROGRAMLOCALPARAMETERDVARBPROC glGetProgramLocalParameterdvARB;
	PFNGLGETPROGRAMLOCALPARAMETERFVARBPROC glGetProgramLocalParameterfvARB;
	PFNGLGETPROGRAMIVARBPROC glGetProgramivARB;
	PFNGLGETPROGRAMSTRINGARBPROC glGetProgramStringARB;
	PFNGLGETVERTEXATTRIBDVARBPROC glGetVertexAttribdvARB;
	PFNGLGETVERTEXATTRIBFVARBPROC glGetVertexAttribfvARB;
	PFNGLGETVERTEXATTRIBIVARBPROC glGetVertexAttribivARB;
	PFNGLGETVERTEXATTRIBPOINTERVARBPROC glGetVertexAttribPointervARB;
	PFNGLISPROGRAMARBPROC glIsProgramARB;
	PFNGLBINDBUFFERARBPROC glBindBufferARB;
	PFNGLDELETEBUFFERSARBPROC glDeleteBuffersARB;
	PFNGLGENBUFFERSARBPROC glGenBuffersARB;
	PFNGLISBUFFERARBPROC glIsBufferARB;
	PFNGLBUFFERDATAARBPROC glBufferDataARB;
	PFNGLBUFFERSUBDATAARBPROC glBufferSubDataARB;
	PFNGLGETBUFFERSUBDATAARBPROC glGetBufferSubDataARB;
	PFNGLMAPBUFFERARBPROC glMapBufferARB;
	PFNGLUNMAPBUFFERARBPROC glUnmapBufferARB;
	PFNGLGETBUFFERPARAMETERIVARBPROC glGetBufferParameterivARB;
	PFNGLGETBUFFERPOINTERVARBPROC glGetBufferPointervARB;
	PFNGLBLENDCOLOREXTPROC glBlendColorEXT;
	PFNGLPOLYGONOFFSETEXTPROC glPolygonOffsetEXT;
	PFNGLTEXIMAGE3DEXTPROC glTexImage3DEXT;
	PFNGLTEXSUBIMAGE3DEXTPROC glTexSubImage3DEXT;
	PFNGLGETTEXFILTERFUNCSGISPROC glGetTexFilterFuncSGIS;
	PFNGLTEXFILTERFUNCSGISPROC glTexFilterFuncSGIS;
	PFNGLTEXSUBIMAGE1DEXTPROC glTexSubImage1DEXT;
	PFNGLTEXSUBIMAGE2DEXTPROC glTexSubImage2DEXT;
	PFNGLCOPYTEXIMAGE1DEXTPROC glCopyTexImage1DEXT;
	PFNGLCOPYTEXIMAGE2DEXTPROC glCopyTexImage2DEXT;
	PFNGLCOPYTEXSUBIMAGE1DEXTPROC glCopyTexSubImage1DEXT;
	PFNGLCOPYTEXSUBIMAGE2DEXTPROC glCopyTexSubImage2DEXT;
	PFNGLCOPYTEXSUBIMAGE3DEXTPROC glCopyTexSubImage3DEXT;
	PFNGLGETHISTOGRAMEXTPROC glGetHistogramEXT;
	PFNGLGETHISTOGRAMPARAMETERFVEXTPROC glGetHistogramParameterfvEXT;
	PFNGLGETHISTOGRAMPARAMETERIVEXTPROC glGetHistogramParameterivEXT;
	PFNGLGETMINMAXEXTPROC glGetMinmaxEXT;
	PFNGLGETMINMAXPARAMETERFVEXTPROC glGetMinmaxParameterfvEXT;
	PFNGLGETMINMAXPARAMETERIVEXTPROC glGetMinmaxParameterivEXT;
	PFNGLHISTOGRAMEXTPROC glHistogramEXT;
	PFNGLMINMAXEXTPROC glMinmaxEXT;
	PFNGLRESETHISTOGRAMEXTPROC glResetHistogramEXT;
	PFNGLRESETMINMAXEXTPROC glResetMinmaxEXT;
	PFNGLCONVOLUTIONFILTER1DEXTPROC glConvolutionFilter1DEXT;
	PFNGLCONVOLUTIONFILTER2DEXTPROC glConvolutionFilter2DEXT;
	PFNGLCONVOLUTIONPARAMETERFEXTPROC glConvolutionParameterfEXT;
	PFNGLCONVOLUTIONPARAMETERFVEXTPROC glConvolutionParameterfvEXT;
	PFNGLCONVOLUTIONPARAMETERIEXTPROC glConvolutionParameteriEXT;
	PFNGLCONVOLUTIONPARAMETERIVEXTPROC glConvolutionParameterivEXT;
	PFNGLCOPYCONVOLUTIONFILTER1DEXTPROC glCopyConvolutionFilter1DEXT;
	PFNGLCOPYCONVOLUTIONFILTER2DEXTPROC glCopyConvolutionFilter2DEXT;
	PFNGLGETCONVOLUTIONFILTEREXTPROC glGetConvolutionFilterEXT;
	PFNGLGETCONVOLUTIONPARAMETERFVEXTPROC glGetConvolutionParameterfvEXT;
	PFNGLGETCONVOLUTIONPARAMETERIVEXTPROC glGetConvolutionParameterivEXT;
	PFNGLGETSEPARABLEFILTEREXTPROC glGetSeparableFilterEXT;
	PFNGLSEPARABLEFILTER2DEXTPROC glSeparableFilter2DEXT;
	PFNGLCOLORTABLESGIPROC glColorTableSGI;
	PFNGLCOLORTABLEPARAMETERFVSGIPROC glColorTableParameterfvSGI;
	PFNGLCOLORTABLEPARAMETERIVSGIPROC glColorTableParameterivSGI;
	PFNGLCOPYCOLORTABLESGIPROC glCopyColorTableSGI;
	PFNGLGETCOLORTABLESGIPROC glGetColorTableSGI;
	PFNGLGETCOLORTABLEPARAMETERFVSGIPROC glGetColorTableParameterfvSGI;
	PFNGLGETCOLORTABLEPARAMETERIVSGIPROC glGetColorTableParameterivSGI;
	PFNGLPIXELTEXGENSGIXPROC glPixelTexGenSGIX;
	PFNGLPIXELTEXGENPARAMETERISGISPROC glPixelTexGenParameteriSGIS;
	PFNGLPIXELTEXGENPARAMETERIVSGISPROC glPixelTexGenParameterivSGIS;
	PFNGLPIXELTEXGENPARAMETERFSGISPROC glPixelTexGenParameterfSGIS;
	PFNGLPIXELTEXGENPARAMETERFVSGISPROC glPixelTexGenParameterfvSGIS;
	PFNGLGETPIXELTEXGENPARAMETERIVSGISPROC glGetPixelTexGenParameterivSGIS;
	PFNGLGETPIXELTEXGENPARAMETERFVSGISPROC glGetPixelTexGenParameterfvSGIS;
	PFNGLTEXIMAGE4DSGISPROC glTexImage4DSGIS;
	PFNGLTEXSUBIMAGE4DSGISPROC glTexSubImage4DSGIS;
	PFNGLARETEXTURESRESIDENTEXTPROC glAreTexturesResidentEXT;
	PFNGLBINDTEXTUREEXTPROC glBindTextureEXT;
	PFNGLDELETETEXTURESEXTPROC glDeleteTexturesEXT;
	PFNGLGENTEXTURESEXTPROC glGenTexturesEXT;
	PFNGLISTEXTUREEXTPROC glIsTextureEXT;
	PFNGLPRIORITIZETEXTURESEXTPROC glPrioritizeTexturesEXT;
	PFNGLDETAILTEXFUNCSGISPROC glDetailTexFuncSGIS;
	PFNGLGETDETAILTEXFUNCSGISPROC glGetDetailTexFuncSGIS;
	PFNGLSHARPENTEXFUNCSGISPROC glSharpenTexFuncSGIS;
	PFNGLGETSHARPENTEXFUNCSGISPROC glGetSharpenTexFuncSGIS;
	PFNGLSAMPLEMASKSGISPROC glSampleMaskSGIS;
	PFNGLSAMPLEPATTERNSGISPROC glSamplePatternSGIS;
	PFNGLARRAYELEMENTEXTPROC glArrayElementEXT;
	PFNGLCOLORPOINTEREXTPROC glColorPointerEXT;
	PFNGLDRAWARRAYSEXTPROC glDrawArraysEXT;
	PFNGLEDGEFLAGPOINTEREXTPROC glEdgeFlagPointerEXT;
	PFNGLGETPOINTERVEXTPROC glGetPointervEXT;
	PFNGLINDEXPOINTEREXTPROC glIndexPointerEXT;
	PFNGLNORMALPOINTEREXTPROC glNormalPointerEXT;
	PFNGLTEXCOORDPOINTEREXTPROC glTexCoordPointerEXT;
	PFNGLVERTEXPOINTEREXTPROC glVertexPointerEXT;
	PFNGLBLENDEQUATIONEXTPROC glBlendEquationEXT;
	PFNGLSPRITEPARAMETERFSGIXPROC glSpriteParameterfSGIX;
	PFNGLSPRITEPARAMETERFVSGIXPROC glSpriteParameterfvSGIX;
	PFNGLSPRITEPARAMETERISGIXPROC glSpriteParameteriSGIX;
	PFNGLSPRITEPARAMETERIVSGIXPROC glSpriteParameterivSGIX;
	PFNGLPOINTPARAMETERFEXTPROC glPointParameterfEXT;
	PFNGLPOINTPARAMETERFVEXTPROC glPointParameterfvEXT;
	PFNGLPOINTPARAMETERFSGISPROC glPointParameterfSGIS;
	PFNGLPOINTPARAMETERFVSGISPROC glPointParameterfvSGIS;
	PFNGLGETINSTRUMENTSSGIXPROC glGetInstrumentsSGIX;
	PFNGLINSTRUMENTSBUFFERSGIXPROC glInstrumentsBufferSGIX;
	PFNGLPOLLINSTRUMENTSSGIXPROC glPollInstrumentsSGIX;
	PFNGLREADINSTRUMENTSSGIXPROC glReadInstrumentsSGIX;
	PFNGLSTARTINSTRUMENTSSGIXPROC glStartInstrumentsSGIX;
	PFNGLSTOPINSTRUMENTSSGIXPROC glStopInstrumentsSGIX;
	PFNGLFRAMEZOOMSGIXPROC glFrameZoomSGIX;
	PFNGLTAGSAMPLEBUFFERSGIXPROC glTagSampleBufferSGIX;
	PFNGLDEFORMATIONMAP3DSGIXPROC glDeformationMap3dSGIX;
	PFNGLDEFORMATIONMAP3FSGIXPROC glDeformationMap3fSGIX;
	PFNGLDEFORMSGIXPROC glDeformSGIX;
	PFNGLLOADIDENTITYDEFORMATIONMAPSGIXPROC glLoadIdentityDeformationMapSGIX;
	PFNGLREFERENCEPLANESGIXPROC glReferencePlaneSGIX;
	PFNGLFLUSHRASTERSGIXPROC glFlushRasterSGIX;
	PFNGLFOGFUNCSGISPROC glFogFuncSGIS;
	PFNGLGETFOGFUNCSGISPROC glGetFogFuncSGIS;
	PFNGLIMAGETRANSFORMPARAMETERIHPPROC glImageTransformParameteriHP;
	PFNGLIMAGETRANSFORMPARAMETERFHPPROC glImageTransformParameterfHP;
	PFNGLIMAGETRANSFORMPARAMETERIVHPPROC glImageTransformParameterivHP;
	PFNGLIMAGETRANSFORMPARAMETERFVHPPROC glImageTransformParameterfvHP;
	PFNGLGETIMAGETRANSFORMPARAMETERIVHPPROC glGetImageTransformParameterivHP;
	PFNGLGETIMAGETRANSFORMPARAMETERFVHPPROC glGetImageTransformParameterfvHP;
	PFNGLCOLORSUBTABLEEXTPROC glColorSubTableEXT;
	PFNGLCOPYCOLORSUBTABLEEXTPROC glCopyColorSubTableEXT;
	PFNGLHINTPGIPROC glHintPGI;
	PFNGLCOLORTABLEEXTPROC glColorTableEXT;
	PFNGLGETCOLORTABLEEXTPROC glGetColorTableEXT;
	PFNGLGETCOLORTABLEPARAMETERIVEXTPROC glGetColorTableParameterivEXT;
	PFNGLGETCOLORTABLEPARAMETERFVEXTPROC glGetColorTableParameterfvEXT;
	PFNGLGETLISTPARAMETERFVSGIXPROC glGetListParameterfvSGIX;
	PFNGLGETLISTPARAMETERIVSGIXPROC glGetListParameterivSGIX;
	PFNGLLISTPARAMETERFSGIXPROC glListParameterfSGIX;
	PFNGLLISTPARAMETERFVSGIXPROC glListParameterfvSGIX;
	PFNGLLISTPARAMETERISGIXPROC glListParameteriSGIX;
	PFNGLLISTPARAMETERIVSGIXPROC glListParameterivSGIX;
	PFNGLINDEXMATERIALEXTPROC glIndexMaterialEXT;
	PFNGLINDEXFUNCEXTPROC glIndexFuncEXT;
	PFNGLLOCKARRAYSEXTPROC glLockArraysEXT;
	PFNGLUNLOCKARRAYSEXTPROC glUnlockArraysEXT;
	PFNGLCULLPARAMETERDVEXTPROC glCullParameterdvEXT;
	PFNGLCULLPARAMETERFVEXTPROC glCullParameterfvEXT;
	PFNGLFRAGMENTCOLORMATERIALSGIXPROC glFragmentColorMaterialSGIX;
	PFNGLFRAGMENTLIGHTFSGIXPROC glFragmentLightfSGIX;
	PFNGLFRAGMENTLIGHTFVSGIXPROC glFragmentLightfvSGIX;
	PFNGLFRAGMENTLIGHTISGIXPROC glFragmentLightiSGIX;
	PFNGLFRAGMENTLIGHTIVSGIXPROC glFragmentLightivSGIX;
	PFNGLFRAGMENTLIGHTMODELFSGIXPROC glFragmentLightModelfSGIX;
	PFNGLFRAGMENTLIGHTMODELFVSGIXPROC glFragmentLightModelfvSGIX;
	PFNGLFRAGMENTLIGHTMODELISGIXPROC glFragmentLightModeliSGIX;
	PFNGLFRAGMENTLIGHTMODELIVSGIXPROC glFragmentLightModelivSGIX;
	PFNGLFRAGMENTMATERIALFSGIXPROC glFragmentMaterialfSGIX;
	PFNGLFRAGMENTMATERIALFVSGIXPROC glFragmentMaterialfvSGIX;
	PFNGLFRAGMENTMATERIALISGIXPROC glFragmentMaterialiSGIX;
	PFNGLFRAGMENTMATERIALIVSGIXPROC glFragmentMaterialivSGIX;
	PFNGLGETFRAGMENTLIGHTFVSGIXPROC glGetFragmentLightfvSGIX;
	PFNGLGETFRAGMENTLIGHTIVSGIXPROC glGetFragmentLightivSGIX;
	PFNGLGETFRAGMENTMATERIALFVSGIXPROC glGetFragmentMaterialfvSGIX;
	PFNGLGETFRAGMENTMATERIALIVSGIXPROC glGetFragmentMaterialivSGIX;
	PFNGLLIGHTENVISGIXPROC glLightEnviSGIX;
	PFNGLDRAWRANGEELEMENTSEXTPROC glDrawRangeElementsEXT;
	PFNGLAPPLYTEXTUREEXTPROC glApplyTextureEXT;
	PFNGLTEXTURELIGHTEXTPROC glTextureLightEXT;
	PFNGLTEXTUREMATERIALEXTPROC glTextureMaterialEXT;
	PFNGLASYNCMARKERSGIXPROC glAsyncMarkerSGIX;
	PFNGLFINISHASYNCSGIXPROC glFinishAsyncSGIX;
	PFNGLPOLLASYNCSGIXPROC glPollAsyncSGIX;
	PFNGLGENASYNCMARKERSSGIXPROC glGenAsyncMarkersSGIX;
	PFNGLDELETEASYNCMARKERSSGIXPROC glDeleteAsyncMarkersSGIX;
	PFNGLISASYNCMARKERSGIXPROC glIsAsyncMarkerSGIX;
	PFNGLVERTEXPOINTERVINTELPROC glVertexPointervINTEL;
	PFNGLNORMALPOINTERVINTELPROC glNormalPointervINTEL;
	PFNGLCOLORPOINTERVINTELPROC glColorPointervINTEL;
	PFNGLTEXCOORDPOINTERVINTELPROC glTexCoordPointervINTEL;
	PFNGLPIXELTRANSFORMPARAMETERIEXTPROC glPixelTransformParameteriEXT;
	PFNGLPIXELTRANSFORMPARAMETERFEXTPROC glPixelTransformParameterfEXT;
	PFNGLPIXELTRANSFORMPARAMETERIVEXTPROC glPixelTransformParameterivEXT;
	PFNGLPIXELTRANSFORMPARAMETERFVEXTPROC glPixelTransformParameterfvEXT;
	PFNGLSECONDARYCOLOR3BEXTPROC glSecondaryColor3bEXT;
	PFNGLSECONDARYCOLOR3BVEXTPROC glSecondaryColor3bvEXT;
	PFNGLSECONDARYCOLOR3DEXTPROC glSecondaryColor3dEXT;
	PFNGLSECONDARYCOLOR3DVEXTPROC glSecondaryColor3dvEXT;
	PFNGLSECONDARYCOLOR3FEXTPROC glSecondaryColor3fEXT;
	PFNGLSECONDARYCOLOR3FVEXTPROC glSecondaryColor3fvEXT;
	PFNGLSECONDARYCOLOR3IEXTPROC glSecondaryColor3iEXT;
	PFNGLSECONDARYCOLOR3IVEXTPROC glSecondaryColor3ivEXT;
	PFNGLSECONDARYCOLOR3SEXTPROC glSecondaryColor3sEXT;
	PFNGLSECONDARYCOLOR3SVEXTPROC glSecondaryColor3svEXT;
	PFNGLSECONDARYCOLOR3UBEXTPROC glSecondaryColor3ubEXT;
	PFNGLSECONDARYCOLOR3UBVEXTPROC glSecondaryColor3ubvEXT;
	PFNGLSECONDARYCOLOR3UIEXTPROC glSecondaryColor3uiEXT;
	PFNGLSECONDARYCOLOR3UIVEXTPROC glSecondaryColor3uivEXT;
	PFNGLSECONDARYCOLOR3USEXTPROC glSecondaryColor3usEXT;
	PFNGLSECONDARYCOLOR3USVEXTPROC glSecondaryColor3usvEXT;
	PFNGLSECONDARYCOLORPOINTEREXTPROC glSecondaryColorPointerEXT;
	PFNGLTEXTURENORMALEXTPROC glTextureNormalEXT;
	PFNGLMULTIDRAWARRAYSEXTPROC glMultiDrawArraysEXT;
	PFNGLMULTIDRAWELEMENTSEXTPROC glMultiDrawElementsEXT;
	PFNGLFOGCOORDFEXTPROC glFogCoordfEXT;
	PFNGLFOGCOORDFVEXTPROC glFogCoordfvEXT;
	PFNGLFOGCOORDDEXTPROC glFogCoorddEXT;
	PFNGLFOGCOORDDVEXTPROC glFogCoorddvEXT;
	PFNGLFOGCOORDPOINTEREXTPROC glFogCoordPointerEXT;
	PFNGLTANGENT3BEXTPROC glTangent3bEXT;
	PFNGLTANGENT3BVEXTPROC glTangent3bvEXT;
	PFNGLTANGENT3DEXTPROC glTangent3dEXT;
	PFNGLTANGENT3DVEXTPROC glTangent3dvEXT;
	PFNGLTANGENT3FEXTPROC glTangent3fEXT;
	PFNGLTANGENT3FVEXTPROC glTangent3fvEXT;
	PFNGLTANGENT3IEXTPROC glTangent3iEXT;
	PFNGLTANGENT3IVEXTPROC glTangent3ivEXT;
	PFNGLTANGENT3SEXTPROC glTangent3sEXT;
	PFNGLTANGENT3SVEXTPROC glTangent3svEXT;
	PFNGLBINORMAL3BEXTPROC glBinormal3bEXT;
	PFNGLBINORMAL3BVEXTPROC glBinormal3bvEXT;
	PFNGLBINORMAL3DEXTPROC glBinormal3dEXT;
	PFNGLBINORMAL3DVEXTPROC glBinormal3dvEXT;
	PFNGLBINORMAL3FEXTPROC glBinormal3fEXT;
	PFNGLBINORMAL3FVEXTPROC glBinormal3fvEXT;
	PFNGLBINORMAL3IEXTPROC glBinormal3iEXT;
	PFNGLBINORMAL3IVEXTPROC glBinormal3ivEXT;
	PFNGLBINORMAL3SEXTPROC glBinormal3sEXT;
	PFNGLBINORMAL3SVEXTPROC glBinormal3svEXT;
	PFNGLTANGENTPOINTEREXTPROC glTangentPointerEXT;
	PFNGLBINORMALPOINTEREXTPROC glBinormalPointerEXT;
	PFNGLFINISHTEXTURESUNXPROC glFinishTextureSUNX;
	PFNGLGLOBALALPHAFACTORBSUNPROC glGlobalAlphaFactorbSUN;
	PFNGLGLOBALALPHAFACTORSSUNPROC glGlobalAlphaFactorsSUN;
	PFNGLGLOBALALPHAFACTORISUNPROC glGlobalAlphaFactoriSUN;
	PFNGLGLOBALALPHAFACTORFSUNPROC glGlobalAlphaFactorfSUN;
	PFNGLGLOBALALPHAFACTORDSUNPROC glGlobalAlphaFactordSUN;
	PFNGLGLOBALALPHAFACTORUBSUNPROC glGlobalAlphaFactorubSUN;
	PFNGLGLOBALALPHAFACTORUSSUNPROC glGlobalAlphaFactorusSUN;
	PFNGLGLOBALALPHAFACTORUISUNPROC glGlobalAlphaFactoruiSUN;
	PFNGLREPLACEMENTCODEUISUNPROC glReplacementCodeuiSUN;
	PFNGLREPLACEMENTCODEUSSUNPROC glReplacementCodeusSUN;
	PFNGLREPLACEMENTCODEUBSUNPROC glReplacementCodeubSUN;
	PFNGLREPLACEMENTCODEUIVSUNPROC glReplacementCodeuivSUN;
	PFNGLREPLACEMENTCODEUSVSUNPROC glReplacementCodeusvSUN;
	PFNGLREPLACEMENTCODEUBVSUNPROC glReplacementCodeubvSUN;
	PFNGLREPLACEMENTCODEPOINTERSUNPROC glReplacementCodePointerSUN;
	PFNGLCOLOR4UBVERTEX2FSUNPROC glColor4ubVertex2fSUN;
	PFNGLCOLOR4UBVERTEX2FVSUNPROC glColor4ubVertex2fvSUN;
	PFNGLCOLOR4UBVERTEX3FSUNPROC glColor4ubVertex3fSUN;
	PFNGLCOLOR4UBVERTEX3FVSUNPROC glColor4ubVertex3fvSUN;
	PFNGLCOLOR3FVERTEX3FSUNPROC glColor3fVertex3fSUN;
	PFNGLCOLOR3FVERTEX3FVSUNPROC glColor3fVertex3fvSUN;
	PFNGLNORMAL3FVERTEX3FSUNPROC glNormal3fVertex3fSUN;
	PFNGLNORMAL3FVERTEX3FVSUNPROC glNormal3fVertex3fvSUN;
	PFNGLCOLOR4FNORMAL3FVERTEX3FSUNPROC glColor4fNormal3fVertex3fSUN;
	PFNGLCOLOR4FNORMAL3FVERTEX3FVSUNPROC glColor4fNormal3fVertex3fvSUN;
	PFNGLTEXCOORD2FVERTEX3FSUNPROC glTexCoord2fVertex3fSUN;
	PFNGLTEXCOORD2FVERTEX3FVSUNPROC glTexCoord2fVertex3fvSUN;
	PFNGLTEXCOORD4FVERTEX4FSUNPROC glTexCoord4fVertex4fSUN;
	PFNGLTEXCOORD4FVERTEX4FVSUNPROC glTexCoord4fVertex4fvSUN;
	PFNGLTEXCOORD2FCOLOR4UBVERTEX3FSUNPROC glTexCoord2fColor4ubVertex3fSUN;
	PFNGLTEXCOORD2FCOLOR4UBVERTEX3FVSUNPROC glTexCoord2fColor4ubVertex3fvSUN;
	PFNGLTEXCOORD2FCOLOR3FVERTEX3FSUNPROC glTexCoord2fColor3fVertex3fSUN;
	PFNGLTEXCOORD2FCOLOR3FVERTEX3FVSUNPROC glTexCoord2fColor3fVertex3fvSUN;
	PFNGLTEXCOORD2FNORMAL3FVERTEX3FSUNPROC glTexCoord2fNormal3fVertex3fSUN;
	PFNGLTEXCOORD2FNORMAL3FVERTEX3FVSUNPROC glTexCoord2fNormal3fVertex3fvSUN;
	PFNGLTEXCOORD2FCOLOR4FNORMAL3FVERTEX3FSUNPROC glTexCoord2fColor4fNormal3fVertex3fSUN;
	PFNGLTEXCOORD2FCOLOR4FNORMAL3FVERTEX3FVSUNPROC glTexCoord2fColor4fNormal3fVertex3fvSUN;
	PFNGLTEXCOORD4FCOLOR4FNORMAL3FVERTEX4FSUNPROC glTexCoord4fColor4fNormal3fVertex4fSUN;
	PFNGLTEXCOORD4FCOLOR4FNORMAL3FVERTEX4FVSUNPROC glTexCoord4fColor4fNormal3fVertex4fvSUN;
	PFNGLREPLACEMENTCODEUIVERTEX3FSUNPROC glReplacementCodeuiVertex3fSUN;
	PFNGLREPLACEMENTCODEUIVERTEX3FVSUNPROC glReplacementCodeuiVertex3fvSUN;
	PFNGLREPLACEMENTCODEUICOLOR4UBVERTEX3FSUNPROC glReplacementCodeuiColor4ubVertex3fSUN;
	PFNGLREPLACEMENTCODEUICOLOR4UBVERTEX3FVSUNPROC glReplacementCodeuiColor4ubVertex3fvSUN;
	PFNGLREPLACEMENTCODEUICOLOR3FVERTEX3FSUNPROC glReplacementCodeuiColor3fVertex3fSUN;
	PFNGLREPLACEMENTCODEUICOLOR3FVERTEX3FVSUNPROC glReplacementCodeuiColor3fVertex3fvSUN;
	PFNGLREPLACEMENTCODEUINORMAL3FVERTEX3FSUNPROC glReplacementCodeuiNormal3fVertex3fSUN;
	PFNGLREPLACEMENTCODEUINORMAL3FVERTEX3FVSUNPROC glReplacementCodeuiNormal3fVertex3fvSUN;
	PFNGLREPLACEMENTCODEUICOLOR4FNORMAL3FVERTEX3FSUNPROC glReplacementCodeuiColor4fNormal3fVertex3fSUN;
	PFNGLREPLACEMENTCODEUICOLOR4FNORMAL3FVERTEX3FVSUNPROC glReplacementCodeuiColor4fNormal3fVertex3fvSUN;
	PFNGLREPLACEMENTCODEUITEXCOORD2FVERTEX3FSUNPROC glReplacementCodeuiTexCoord2fVertex3fSUN;
	PFNGLREPLACEMENTCODEUITEXCOORD2FVERTEX3FVSUNPROC glReplacementCodeuiTexCoord2fVertex3fvSUN;
	PFNGLREPLACEMENTCODEUITEXCOORD2FNORMAL3FVERTEX3FSUNPROC glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN;
	PFNGLREPLACEMENTCODEUITEXCOORD2FNORMAL3FVERTEX3FVSUNPROC glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN;
	PFNGLREPLACEMENTCODEUITEXCOORD2FCOLOR4FNORMAL3FVERTEX3FSUNPROC glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN;
	PFNGLREPLACEMENTCODEUITEXCOORD2FCOLOR4FNORMAL3FVERTEX3FVSUNPROC glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN;
	PFNGLBLENDFUNCSEPARATEEXTPROC glBlendFuncSeparateEXT;
	PFNGLBLENDFUNCSEPARATEINGRPROC glBlendFuncSeparateINGR;
	PFNGLVERTEXWEIGHTFEXTPROC glVertexWeightfEXT;
	PFNGLVERTEXWEIGHTFVEXTPROC glVertexWeightfvEXT;
	PFNGLVERTEXWEIGHTPOINTEREXTPROC glVertexWeightPointerEXT;
	PFNGLFLUSHVERTEXARRAYRANGENVPROC glFlushVertexArrayRangeNV;
	PFNGLVERTEXARRAYRANGENVPROC glVertexArrayRangeNV;
	PFNGLCOMBINERPARAMETERFVNVPROC glCombinerParameterfvNV;
	PFNGLCOMBINERPARAMETERFNVPROC glCombinerParameterfNV;
	PFNGLCOMBINERPARAMETERIVNVPROC glCombinerParameterivNV;
	PFNGLCOMBINERPARAMETERINVPROC glCombinerParameteriNV;
	PFNGLCOMBINERINPUTNVPROC glCombinerInputNV;
	PFNGLCOMBINEROUTPUTNVPROC glCombinerOutputNV;
	PFNGLFINALCOMBINERINPUTNVPROC glFinalCombinerInputNV;
	PFNGLGETCOMBINERINPUTPARAMETERFVNVPROC glGetCombinerInputParameterfvNV;
	PFNGLGETCOMBINERINPUTPARAMETERIVNVPROC glGetCombinerInputParameterivNV;
	PFNGLGETCOMBINEROUTPUTPARAMETERFVNVPROC glGetCombinerOutputParameterfvNV;
	PFNGLGETCOMBINEROUTPUTPARAMETERIVNVPROC glGetCombinerOutputParameterivNV;
	PFNGLGETFINALCOMBINERINPUTPARAMETERFVNVPROC glGetFinalCombinerInputParameterfvNV;
	PFNGLGETFINALCOMBINERINPUTPARAMETERIVNVPROC glGetFinalCombinerInputParameterivNV;
	PFNGLRESIZEBUFFERSMESAPROC glResizeBuffersMESA;
	PFNGLWINDOWPOS2DMESAPROC glWindowPos2dMESA;
	PFNGLWINDOWPOS2DVMESAPROC glWindowPos2dvMESA;
	PFNGLWINDOWPOS2FMESAPROC glWindowPos2fMESA;
	PFNGLWINDOWPOS2FVMESAPROC glWindowPos2fvMESA;
	PFNGLWINDOWPOS2IMESAPROC glWindowPos2iMESA;
	PFNGLWINDOWPOS2IVMESAPROC glWindowPos2ivMESA;
	PFNGLWINDOWPOS2SMESAPROC glWindowPos2sMESA;
	PFNGLWINDOWPOS2SVMESAPROC glWindowPos2svMESA;
	PFNGLWINDOWPOS3DMESAPROC glWindowPos3dMESA;
	PFNGLWINDOWPOS3DVMESAPROC glWindowPos3dvMESA;
	PFNGLWINDOWPOS3FMESAPROC glWindowPos3fMESA;
	PFNGLWINDOWPOS3FVMESAPROC glWindowPos3fvMESA;
	PFNGLWINDOWPOS3IMESAPROC glWindowPos3iMESA;
	PFNGLWINDOWPOS3IVMESAPROC glWindowPos3ivMESA;
	PFNGLWINDOWPOS3SMESAPROC glWindowPos3sMESA;
	PFNGLWINDOWPOS3SVMESAPROC glWindowPos3svMESA;
	PFNGLWINDOWPOS4DMESAPROC glWindowPos4dMESA;
	PFNGLWINDOWPOS4DVMESAPROC glWindowPos4dvMESA;
	PFNGLWINDOWPOS4FMESAPROC glWindowPos4fMESA;
	PFNGLWINDOWPOS4FVMESAPROC glWindowPos4fvMESA;
	PFNGLWINDOWPOS4IMESAPROC glWindowPos4iMESA;
	PFNGLWINDOWPOS4IVMESAPROC glWindowPos4ivMESA;
	PFNGLWINDOWPOS4SMESAPROC glWindowPos4sMESA;
	PFNGLWINDOWPOS4SVMESAPROC glWindowPos4svMESA;
	PFNGLMULTIMODEDRAWARRAYSIBMPROC glMultiModeDrawArraysIBM;
	PFNGLMULTIMODEDRAWELEMENTSIBMPROC glMultiModeDrawElementsIBM;
	PFNGLCOLORPOINTERLISTIBMPROC glColorPointerListIBM;
	PFNGLSECONDARYCOLORPOINTERLISTIBMPROC glSecondaryColorPointerListIBM;
	PFNGLEDGEFLAGPOINTERLISTIBMPROC glEdgeFlagPointerListIBM;
	PFNGLFOGCOORDPOINTERLISTIBMPROC glFogCoordPointerListIBM;
	PFNGLINDEXPOINTERLISTIBMPROC glIndexPointerListIBM;
	PFNGLNORMALPOINTERLISTIBMPROC glNormalPointerListIBM;
	PFNGLTEXCOORDPOINTERLISTIBMPROC glTexCoordPointerListIBM;
	PFNGLVERTEXPOINTERLISTIBMPROC glVertexPointerListIBM;
	PFNGLTBUFFERMASK3DFXPROC glTbufferMask3DFX;
	PFNGLSAMPLEMASKEXTPROC glSampleMaskEXT;
	PFNGLSAMPLEPATTERNEXTPROC glSamplePatternEXT;
	PFNGLTEXTURECOLORMASKSGISPROC glTextureColorMaskSGIS;
	PFNGLIGLOOINTERFACESGIXPROC glIglooInterfaceSGIX;
	PFNGLDELETEFENCESNVPROC glDeleteFencesNV;
	PFNGLGENFENCESNVPROC glGenFencesNV;
	PFNGLISFENCENVPROC glIsFenceNV;
	PFNGLTESTFENCENVPROC glTestFenceNV;
	PFNGLGETFENCEIVNVPROC glGetFenceivNV;
	PFNGLFINISHFENCENVPROC glFinishFenceNV;
	PFNGLSETFENCENVPROC glSetFenceNV;
	PFNGLMAPCONTROLPOINTSNVPROC glMapControlPointsNV;
	PFNGLMAPPARAMETERIVNVPROC glMapParameterivNV;
	PFNGLMAPPARAMETERFVNVPROC glMapParameterfvNV;
	PFNGLGETMAPCONTROLPOINTSNVPROC glGetMapControlPointsNV;
	PFNGLGETMAPPARAMETERIVNVPROC glGetMapParameterivNV;
	PFNGLGETMAPPARAMETERFVNVPROC glGetMapParameterfvNV;
	PFNGLGETMAPATTRIBPARAMETERIVNVPROC glGetMapAttribParameterivNV;
	PFNGLGETMAPATTRIBPARAMETERFVNVPROC glGetMapAttribParameterfvNV;
	PFNGLEVALMAPSNVPROC glEvalMapsNV;
	PFNGLCOMBINERSTAGEPARAMETERFVNVPROC glCombinerStageParameterfvNV;
	PFNGLGETCOMBINERSTAGEPARAMETERFVNVPROC glGetCombinerStageParameterfvNV;
	PFNGLAREPROGRAMSRESIDENTNVPROC glAreProgramsResidentNV;
	PFNGLBINDPROGRAMNVPROC glBindProgramNV;
	PFNGLDELETEPROGRAMSNVPROC glDeleteProgramsNV;
	PFNGLEXECUTEPROGRAMNVPROC glExecuteProgramNV;
	PFNGLGENPROGRAMSNVPROC glGenProgramsNV;
	PFNGLGETPROGRAMPARAMETERDVNVPROC glGetProgramParameterdvNV;
	PFNGLGETPROGRAMPARAMETERFVNVPROC glGetProgramParameterfvNV;
	PFNGLGETPROGRAMIVNVPROC glGetProgramivNV;
	PFNGLGETPROGRAMSTRINGNVPROC glGetProgramStringNV;
	PFNGLGETTRACKMATRIXIVNVPROC glGetTrackMatrixivNV;
	PFNGLGETVERTEXATTRIBDVNVPROC glGetVertexAttribdvNV;
	PFNGLGETVERTEXATTRIBFVNVPROC glGetVertexAttribfvNV;
	PFNGLGETVERTEXATTRIBIVNVPROC glGetVertexAttribivNV;
	PFNGLGETVERTEXATTRIBPOINTERVNVPROC glGetVertexAttribPointervNV;
	PFNGLISPROGRAMNVPROC glIsProgramNV;
	PFNGLLOADPROGRAMNVPROC glLoadProgramNV;
	PFNGLPROGRAMPARAMETER4DNVPROC glProgramParameter4dNV;
	PFNGLPROGRAMPARAMETER4DVNVPROC glProgramParameter4dvNV;
	PFNGLPROGRAMPARAMETER4FNVPROC glProgramParameter4fNV;
	PFNGLPROGRAMPARAMETER4FVNVPROC glProgramParameter4fvNV;
	PFNGLPROGRAMPARAMETERS4DVNVPROC glProgramParameters4dvNV;
	PFNGLPROGRAMPARAMETERS4FVNVPROC glProgramParameters4fvNV;
	PFNGLREQUESTRESIDENTPROGRAMSNVPROC glRequestResidentProgramsNV;
	PFNGLTRACKMATRIXNVPROC glTrackMatrixNV;
	PFNGLVERTEXATTRIBPOINTERNVPROC glVertexAttribPointerNV;
	PFNGLVERTEXATTRIB1DNVPROC glVertexAttrib1dNV;
	PFNGLVERTEXATTRIB1DVNVPROC glVertexAttrib1dvNV;
	PFNGLVERTEXATTRIB1FNVPROC glVertexAttrib1fNV;
	PFNGLVERTEXATTRIB1FVNVPROC glVertexAttrib1fvNV;
	PFNGLVERTEXATTRIB1SNVPROC glVertexAttrib1sNV;
	PFNGLVERTEXATTRIB1SVNVPROC glVertexAttrib1svNV;
	PFNGLVERTEXATTRIB2DNVPROC glVertexAttrib2dNV;
	PFNGLVERTEXATTRIB2DVNVPROC glVertexAttrib2dvNV;
	PFNGLVERTEXATTRIB2FNVPROC glVertexAttrib2fNV;
	PFNGLVERTEXATTRIB2FVNVPROC glVertexAttrib2fvNV;
	PFNGLVERTEXATTRIB2SNVPROC glVertexAttrib2sNV;
	PFNGLVERTEXATTRIB2SVNVPROC glVertexAttrib2svNV;
	PFNGLVERTEXATTRIB3DNVPROC glVertexAttrib3dNV;
	PFNGLVERTEXATTRIB3DVNVPROC glVertexAttrib3dvNV;
	PFNGLVERTEXATTRIB3FNVPROC glVertexAttrib3fNV;
	PFNGLVERTEXATTRIB3FVNVPROC glVertexAttrib3fvNV;
	PFNGLVERTEXATTRIB3SNVPROC glVertexAttrib3sNV;
	PFNGLVERTEXATTRIB3SVNVPROC glVertexAttrib3svNV;
	PFNGLVERTEXATTRIB4DNVPROC glVertexAttrib4dNV;
	PFNGLVERTEXATTRIB4DVNVPROC glVertexAttrib4dvNV;
	PFNGLVERTEXATTRIB4FNVPROC glVertexAttrib4fNV;
	PFNGLVERTEXATTRIB4FVNVPROC glVertexAttrib4fvNV;
	PFNGLVERTEXATTRIB4SNVPROC glVertexAttrib4sNV;
	PFNGLVERTEXATTRIB4SVNVPROC glVertexAttrib4svNV;
	PFNGLVERTEXATTRIB4UBNVPROC glVertexAttrib4ubNV;
	PFNGLVERTEXATTRIB4UBVNVPROC glVertexAttrib4ubvNV;
	PFNGLVERTEXATTRIBS1DVNVPROC glVertexAttribs1dvNV;
	PFNGLVERTEXATTRIBS1FVNVPROC glVertexAttribs1fvNV;
	PFNGLVERTEXATTRIBS1SVNVPROC glVertexAttribs1svNV;
	PFNGLVERTEXATTRIBS2DVNVPROC glVertexAttribs2dvNV;
	PFNGLVERTEXATTRIBS2FVNVPROC glVertexAttribs2fvNV;
	PFNGLVERTEXATTRIBS2SVNVPROC glVertexAttribs2svNV;
	PFNGLVERTEXATTRIBS3DVNVPROC glVertexAttribs3dvNV;
	PFNGLVERTEXATTRIBS3FVNVPROC glVertexAttribs3fvNV;
	PFNGLVERTEXATTRIBS3SVNVPROC glVertexAttribs3svNV;
	PFNGLVERTEXATTRIBS4DVNVPROC glVertexAttribs4dvNV;
	PFNGLVERTEXATTRIBS4FVNVPROC glVertexAttribs4fvNV;
	PFNGLVERTEXATTRIBS4SVNVPROC glVertexAttribs4svNV;
	PFNGLVERTEXATTRIBS4UBVNVPROC glVertexAttribs4ubvNV;
	PFNGLTEXBUMPPARAMETERIVATIPROC glTexBumpParameterivATI;
	PFNGLTEXBUMPPARAMETERFVATIPROC glTexBumpParameterfvATI;
	PFNGLGETTEXBUMPPARAMETERIVATIPROC glGetTexBumpParameterivATI;
	PFNGLGETTEXBUMPPARAMETERFVATIPROC glGetTexBumpParameterfvATI;
	PFNGLGENFRAGMENTSHADERSATIPROC glGenFragmentShadersATI;
	PFNGLBINDFRAGMENTSHADERATIPROC glBindFragmentShaderATI;
	PFNGLDELETEFRAGMENTSHADERATIPROC glDeleteFragmentShaderATI;
	PFNGLBEGINFRAGMENTSHADERATIPROC glBeginFragmentShaderATI;
	PFNGLENDFRAGMENTSHADERATIPROC glEndFragmentShaderATI;
	PFNGLPASSTEXCOORDATIPROC glPassTexCoordATI;
	PFNGLSAMPLEMAPATIPROC glSampleMapATI;
	PFNGLCOLORFRAGMENTOP1ATIPROC glColorFragmentOp1ATI;
	PFNGLCOLORFRAGMENTOP2ATIPROC glColorFragmentOp2ATI;
	PFNGLCOLORFRAGMENTOP3ATIPROC glColorFragmentOp3ATI;
	PFNGLALPHAFRAGMENTOP1ATIPROC glAlphaFragmentOp1ATI;
	PFNGLALPHAFRAGMENTOP2ATIPROC glAlphaFragmentOp2ATI;
	PFNGLALPHAFRAGMENTOP3ATIPROC glAlphaFragmentOp3ATI;
	PFNGLSETFRAGMENTSHADERCONSTANTATIPROC glSetFragmentShaderConstantATI;
	PFNGLPNTRIANGLESIATIPROC glPNTrianglesiATI;
	PFNGLPNTRIANGLESFATIPROC glPNTrianglesfATI;
	PFNGLNEWOBJECTBUFFERATIPROC glNewObjectBufferATI;
	PFNGLISOBJECTBUFFERATIPROC glIsObjectBufferATI;
	PFNGLUPDATEOBJECTBUFFERATIPROC glUpdateObjectBufferATI;
	PFNGLGETOBJECTBUFFERFVATIPROC glGetObjectBufferfvATI;
	PFNGLGETOBJECTBUFFERIVATIPROC glGetObjectBufferivATI;
	PFNGLFREEOBJECTBUFFERATIPROC glFreeObjectBufferATI;
	PFNGLARRAYOBJECTATIPROC glArrayObjectATI;
	PFNGLGETARRAYOBJECTFVATIPROC glGetArrayObjectfvATI;
	PFNGLGETARRAYOBJECTIVATIPROC glGetArrayObjectivATI;
	PFNGLVARIANTARRAYOBJECTATIPROC glVariantArrayObjectATI;
	PFNGLGETVARIANTARRAYOBJECTFVATIPROC glGetVariantArrayObjectfvATI;
	PFNGLGETVARIANTARRAYOBJECTIVATIPROC glGetVariantArrayObjectivATI;
	PFNGLBEGINVERTEXSHADEREXTPROC glBeginVertexShaderEXT;
	PFNGLENDVERTEXSHADEREXTPROC glEndVertexShaderEXT;
	PFNGLBINDVERTEXSHADEREXTPROC glBindVertexShaderEXT;
	PFNGLGENVERTEXSHADERSEXTPROC glGenVertexShadersEXT;
	PFNGLDELETEVERTEXSHADEREXTPROC glDeleteVertexShaderEXT;
	PFNGLSHADEROP1EXTPROC glShaderOp1EXT;
	PFNGLSHADEROP2EXTPROC glShaderOp2EXT;
	PFNGLSHADEROP3EXTPROC glShaderOp3EXT;
	PFNGLSWIZZLEEXTPROC glSwizzleEXT;
	PFNGLWRITEMASKEXTPROC glWriteMaskEXT;
	PFNGLINSERTCOMPONENTEXTPROC glInsertComponentEXT;
	PFNGLEXTRACTCOMPONENTEXTPROC glExtractComponentEXT;
	PFNGLGENSYMBOLSEXTPROC glGenSymbolsEXT;
	PFNGLSETINVARIANTEXTPROC glSetInvariantEXT;
	PFNGLSETLOCALCONSTANTEXTPROC glSetLocalConstantEXT;
	PFNGLVARIANTBVEXTPROC glVariantbvEXT;
	PFNGLVARIANTSVEXTPROC glVariantsvEXT;
	PFNGLVARIANTIVEXTPROC glVariantivEXT;
	PFNGLVARIANTFVEXTPROC glVariantfvEXT;
	PFNGLVARIANTDVEXTPROC glVariantdvEXT;
	PFNGLVARIANTUBVEXTPROC glVariantubvEXT;
	PFNGLVARIANTUSVEXTPROC glVariantusvEXT;
	PFNGLVARIANTUIVEXTPROC glVariantuivEXT;
	PFNGLVARIANTPOINTEREXTPROC glVariantPointerEXT;
	PFNGLENABLEVARIANTCLIENTSTATEEXTPROC glEnableVariantClientStateEXT;
	PFNGLDISABLEVARIANTCLIENTSTATEEXTPROC glDisableVariantClientStateEXT;
	PFNGLBINDLIGHTPARAMETEREXTPROC glBindLightParameterEXT;
	PFNGLBINDMATERIALPARAMETEREXTPROC glBindMaterialParameterEXT;
	PFNGLBINDTEXGENPARAMETEREXTPROC glBindTexGenParameterEXT;
	PFNGLBINDTEXTUREUNITPARAMETEREXTPROC glBindTextureUnitParameterEXT;
	PFNGLBINDPARAMETEREXTPROC glBindParameterEXT;
	PFNGLISVARIANTENABLEDEXTPROC glIsVariantEnabledEXT;
	PFNGLGETVARIANTBOOLEANVEXTPROC glGetVariantBooleanvEXT;
	PFNGLGETVARIANTINTEGERVEXTPROC glGetVariantIntegervEXT;
	PFNGLGETVARIANTFLOATVEXTPROC glGetVariantFloatvEXT;
	PFNGLGETVARIANTPOINTERVEXTPROC glGetVariantPointervEXT;
	PFNGLGETINVARIANTBOOLEANVEXTPROC glGetInvariantBooleanvEXT;
	PFNGLGETINVARIANTINTEGERVEXTPROC glGetInvariantIntegervEXT;
	PFNGLGETINVARIANTFLOATVEXTPROC glGetInvariantFloatvEXT;
	PFNGLGETLOCALCONSTANTBOOLEANVEXTPROC glGetLocalConstantBooleanvEXT;
	PFNGLGETLOCALCONSTANTINTEGERVEXTPROC glGetLocalConstantIntegervEXT;
	PFNGLGETLOCALCONSTANTFLOATVEXTPROC glGetLocalConstantFloatvEXT;
	PFNGLVERTEXSTREAM1SATIPROC glVertexStream1sATI;
	PFNGLVERTEXSTREAM1SVATIPROC glVertexStream1svATI;
	PFNGLVERTEXSTREAM1IATIPROC glVertexStream1iATI;
	PFNGLVERTEXSTREAM1IVATIPROC glVertexStream1ivATI;
	PFNGLVERTEXSTREAM1FATIPROC glVertexStream1fATI;
	PFNGLVERTEXSTREAM1FVATIPROC glVertexStream1fvATI;
	PFNGLVERTEXSTREAM1DATIPROC glVertexStream1dATI;
	PFNGLVERTEXSTREAM1DVATIPROC glVertexStream1dvATI;
	PFNGLVERTEXSTREAM2SATIPROC glVertexStream2sATI;
	PFNGLVERTEXSTREAM2SVATIPROC glVertexStream2svATI;
	PFNGLVERTEXSTREAM2IATIPROC glVertexStream2iATI;
	PFNGLVERTEXSTREAM2IVATIPROC glVertexStream2ivATI;
	PFNGLVERTEXSTREAM2FATIPROC glVertexStream2fATI;
	PFNGLVERTEXSTREAM2FVATIPROC glVertexStream2fvATI;
	PFNGLVERTEXSTREAM2DATIPROC glVertexStream2dATI;
	PFNGLVERTEXSTREAM2DVATIPROC glVertexStream2dvATI;
	PFNGLVERTEXSTREAM3SATIPROC glVertexStream3sATI;
	PFNGLVERTEXSTREAM3SVATIPROC glVertexStream3svATI;
	PFNGLVERTEXSTREAM3IATIPROC glVertexStream3iATI;
	PFNGLVERTEXSTREAM3IVATIPROC glVertexStream3ivATI;
	PFNGLVERTEXSTREAM3FATIPROC glVertexStream3fATI;
	PFNGLVERTEXSTREAM3FVATIPROC glVertexStream3fvATI;
	PFNGLVERTEXSTREAM3DATIPROC glVertexStream3dATI;
	PFNGLVERTEXSTREAM3DVATIPROC glVertexStream3dvATI;
	PFNGLVERTEXSTREAM4SATIPROC glVertexStream4sATI;
	PFNGLVERTEXSTREAM4SVATIPROC glVertexStream4svATI;
	PFNGLVERTEXSTREAM4IATIPROC glVertexStream4iATI;
	PFNGLVERTEXSTREAM4IVATIPROC glVertexStream4ivATI;
	PFNGLVERTEXSTREAM4FATIPROC glVertexStream4fATI;
	PFNGLVERTEXSTREAM4FVATIPROC glVertexStream4fvATI;
	PFNGLVERTEXSTREAM4DATIPROC glVertexStream4dATI;
	PFNGLVERTEXSTREAM4DVATIPROC glVertexStream4dvATI;
	PFNGLNORMALSTREAM3BATIPROC glNormalStream3bATI;
	PFNGLNORMALSTREAM3BVATIPROC glNormalStream3bvATI;
	PFNGLNORMALSTREAM3SATIPROC glNormalStream3sATI;
	PFNGLNORMALSTREAM3SVATIPROC glNormalStream3svATI;
	PFNGLNORMALSTREAM3IATIPROC glNormalStream3iATI;
	PFNGLNORMALSTREAM3IVATIPROC glNormalStream3ivATI;
	PFNGLNORMALSTREAM3FATIPROC glNormalStream3fATI;
	PFNGLNORMALSTREAM3FVATIPROC glNormalStream3fvATI;
	PFNGLNORMALSTREAM3DATIPROC glNormalStream3dATI;
	PFNGLNORMALSTREAM3DVATIPROC glNormalStream3dvATI;
	PFNGLCLIENTACTIVEVERTEXSTREAMATIPROC glClientActiveVertexStreamATI;
	PFNGLVERTEXBLENDENVIATIPROC glVertexBlendEnviATI;
	PFNGLVERTEXBLENDENVFATIPROC glVertexBlendEnvfATI;
	PFNGLELEMENTPOINTERATIPROC glElementPointerATI;
	PFNGLDRAWELEMENTARRAYATIPROC glDrawElementArrayATI;
	PFNGLDRAWRANGEELEMENTARRAYATIPROC glDrawRangeElementArrayATI;
	PFNGLDRAWMESHARRAYSSUNPROC glDrawMeshArraysSUN;
	PFNGLGENOCCLUSIONQUERIESNVPROC glGenOcclusionQueriesNV;
	PFNGLDELETEOCCLUSIONQUERIESNVPROC glDeleteOcclusionQueriesNV;
	PFNGLISOCCLUSIONQUERYNVPROC glIsOcclusionQueryNV;
	PFNGLBEGINOCCLUSIONQUERYNVPROC glBeginOcclusionQueryNV;
	PFNGLENDOCCLUSIONQUERYNVPROC glEndOcclusionQueryNV;
	PFNGLGETOCCLUSIONQUERYIVNVPROC glGetOcclusionQueryivNV;
	PFNGLGETOCCLUSIONQUERYUIVNVPROC glGetOcclusionQueryuivNV;
	PFNGLPOINTPARAMETERINVPROC glPointParameteriNV;
	PFNGLPOINTPARAMETERIVNVPROC glPointParameterivNV;
	PFNGLACTIVESTENCILFACEEXTPROC glActiveStencilFaceEXT;
	PFNGLELEMENTPOINTERAPPLEPROC glElementPointerAPPLE;
	PFNGLDRAWELEMENTARRAYAPPLEPROC glDrawElementArrayAPPLE;
	PFNGLDRAWRANGEELEMENTARRAYAPPLEPROC glDrawRangeElementArrayAPPLE;
	PFNGLMULTIDRAWELEMENTARRAYAPPLEPROC glMultiDrawElementArrayAPPLE;
	PFNGLMULTIDRAWRANGEELEMENTARRAYAPPLEPROC glMultiDrawRangeElementArrayAPPLE;
	PFNGLGENFENCESAPPLEPROC glGenFencesAPPLE;
	PFNGLDELETEFENCESAPPLEPROC glDeleteFencesAPPLE;
	PFNGLSETFENCEAPPLEPROC glSetFenceAPPLE;
	PFNGLISFENCEAPPLEPROC glIsFenceAPPLE;
	PFNGLTESTFENCEAPPLEPROC glTestFenceAPPLE;
	PFNGLFINISHFENCEAPPLEPROC glFinishFenceAPPLE;
	PFNGLTESTOBJECTAPPLEPROC glTestObjectAPPLE;
	PFNGLFINISHOBJECTAPPLEPROC glFinishObjectAPPLE;
	PFNGLBINDVERTEXARRAYAPPLEPROC glBindVertexArrayAPPLE;
	PFNGLDELETEVERTEXARRAYSAPPLEPROC glDeleteVertexArraysAPPLE;
	PFNGLGENVERTEXARRAYSAPPLEPROC glGenVertexArraysAPPLE;
	PFNGLISVERTEXARRAYAPPLEPROC glIsVertexArrayAPPLE;
	PFNGLVERTEXARRAYRANGEAPPLEPROC glVertexArrayRangeAPPLE;
	PFNGLFLUSHVERTEXARRAYRANGEAPPLEPROC glFlushVertexArrayRangeAPPLE;
	PFNGLVERTEXARRAYPARAMETERIAPPLEPROC glVertexArrayParameteriAPPLE;
	PFNGLDRAWBUFFERSATIPROC glDrawBuffersATI;
	PFNGLPROGRAMNAMEDPARAMETER4FNVPROC glProgramNamedParameter4fNV;
	PFNGLPROGRAMNAMEDPARAMETER4DNVPROC glProgramNamedParameter4dNV;
	PFNGLPROGRAMNAMEDPARAMETER4FVNVPROC glProgramNamedParameter4fvNV;
	PFNGLPROGRAMNAMEDPARAMETER4DVNVPROC glProgramNamedParameter4dvNV;
	PFNGLGETPROGRAMNAMEDPARAMETERFVNVPROC glGetProgramNamedParameterfvNV;
	PFNGLGETPROGRAMNAMEDPARAMETERDVNVPROC glGetProgramNamedParameterdvNV;
	PFNGLVERTEX2HNVPROC glVertex2hNV;
	PFNGLVERTEX2HVNVPROC glVertex2hvNV;
	PFNGLVERTEX3HNVPROC glVertex3hNV;
	PFNGLVERTEX3HVNVPROC glVertex3hvNV;
	PFNGLVERTEX4HNVPROC glVertex4hNV;
	PFNGLVERTEX4HVNVPROC glVertex4hvNV;
	PFNGLNORMAL3HNVPROC glNormal3hNV;
	PFNGLNORMAL3HVNVPROC glNormal3hvNV;
	PFNGLCOLOR3HNVPROC glColor3hNV;
	PFNGLCOLOR3HVNVPROC glColor3hvNV;
	PFNGLCOLOR4HNVPROC glColor4hNV;
	PFNGLCOLOR4HVNVPROC glColor4hvNV;
	PFNGLTEXCOORD1HNVPROC glTexCoord1hNV;
	PFNGLTEXCOORD1HVNVPROC glTexCoord1hvNV;
	PFNGLTEXCOORD2HNVPROC glTexCoord2hNV;
	PFNGLTEXCOORD2HVNVPROC glTexCoord2hvNV;
	PFNGLTEXCOORD3HNVPROC glTexCoord3hNV;
	PFNGLTEXCOORD3HVNVPROC glTexCoord3hvNV;
	PFNGLTEXCOORD4HNVPROC glTexCoord4hNV;
	PFNGLTEXCOORD4HVNVPROC glTexCoord4hvNV;
	PFNGLMULTITEXCOORD1HNVPROC glMultiTexCoord1hNV;
	PFNGLMULTITEXCOORD1HVNVPROC glMultiTexCoord1hvNV;
	PFNGLMULTITEXCOORD2HNVPROC glMultiTexCoord2hNV;
	PFNGLMULTITEXCOORD2HVNVPROC glMultiTexCoord2hvNV;
	PFNGLMULTITEXCOORD3HNVPROC glMultiTexCoord3hNV;
	PFNGLMULTITEXCOORD3HVNVPROC glMultiTexCoord3hvNV;
	PFNGLMULTITEXCOORD4HNVPROC glMultiTexCoord4hNV;
	PFNGLMULTITEXCOORD4HVNVPROC glMultiTexCoord4hvNV;
	PFNGLFOGCOORDHNVPROC glFogCoordhNV;
	PFNGLFOGCOORDHVNVPROC glFogCoordhvNV;
	PFNGLSECONDARYCOLOR3HNVPROC glSecondaryColor3hNV;
	PFNGLSECONDARYCOLOR3HVNVPROC glSecondaryColor3hvNV;
	PFNGLVERTEXWEIGHTHNVPROC glVertexWeighthNV;
	PFNGLVERTEXWEIGHTHVNVPROC glVertexWeighthvNV;
	PFNGLVERTEXATTRIB1HNVPROC glVertexAttrib1hNV;
	PFNGLVERTEXATTRIB1HVNVPROC glVertexAttrib1hvNV;
	PFNGLVERTEXATTRIB2HNVPROC glVertexAttrib2hNV;
	PFNGLVERTEXATTRIB2HVNVPROC glVertexAttrib2hvNV;
	PFNGLVERTEXATTRIB3HNVPROC glVertexAttrib3hNV;
	PFNGLVERTEXATTRIB3HVNVPROC glVertexAttrib3hvNV;
	PFNGLVERTEXATTRIB4HNVPROC glVertexAttrib4hNV;
	PFNGLVERTEXATTRIB4HVNVPROC glVertexAttrib4hvNV;
	PFNGLVERTEXATTRIBS1HVNVPROC glVertexAttribs1hvNV;
	PFNGLVERTEXATTRIBS2HVNVPROC glVertexAttribs2hvNV;
	PFNGLVERTEXATTRIBS3HVNVPROC glVertexAttribs3hvNV;
	PFNGLVERTEXATTRIBS4HVNVPROC glVertexAttribs4hvNV;
	PFNGLPIXELDATARANGENVPROC glPixelDataRangeNV;
	PFNGLFLUSHPIXELDATARANGENVPROC glFlushPixelDataRangeNV;
	PFNGLPRIMITIVERESTARTNVPROC glPrimitiveRestartNV;
	PFNGLPRIMITIVERESTARTINDEXNVPROC glPrimitiveRestartIndexNV;
	PFNGLMAPOBJECTBUFFERATIPROC glMapObjectBufferATI;
	PFNGLUNMAPOBJECTBUFFERATIPROC glUnmapObjectBufferATI;
	PFNGLSTENCILOPSEPARATEATIPROC glStencilOpSeparateATI;
	PFNGLSTENCILFUNCSEPARATEATIPROC glStencilFuncSeparateATI;
	PFNGLVERTEXATTRIBARRAYOBJECTATIPROC glVertexAttribArrayObjectATI;
	PFNGLGETVERTEXATTRIBARRAYOBJECTFVATIPROC glGetVertexAttribArrayObjectfvATI;
	PFNGLGETVERTEXATTRIBARRAYOBJECTIVATIPROC glGetVertexAttribArrayObjectivATI;
	PFNWGLCREATEBUFFERREGIONARBPROC wglCreateBufferRegionARB;
	PFNWGLDELETEBUFFERREGIONARBPROC wglDeleteBufferRegionARB;
	PFNWGLSAVEBUFFERREGIONARBPROC wglSaveBufferRegionARB;
	PFNWGLRESTOREBUFFERREGIONARBPROC wglRestoreBufferRegionARB;
	PFNWGLGETEXTENSIONSSTRINGARBPROC wglGetExtensionsStringARB;
	PFNWGLGETPIXELFORMATATTRIBIVARBPROC wglGetPixelFormatAttribivARB;
	PFNWGLGETPIXELFORMATATTRIBFVARBPROC wglGetPixelFormatAttribfvARB;
	PFNWGLCHOOSEPIXELFORMATARBPROC wglChoosePixelFormatARB;
	PFNWGLMAKECONTEXTCURRENTARBPROC wglMakeContextCurrentARB;
	PFNWGLGETCURRENTREADDCARBPROC wglGetCurrentReadDCARB;
	PFNWGLCREATEPBUFFERARBPROC wglCreatePbufferARB;
	PFNWGLGETPBUFFERDCARBPROC wglGetPbufferDCARB;
	PFNWGLRELEASEPBUFFERDCARBPROC wglReleasePbufferDCARB;
	PFNWGLDESTROYPBUFFERARBPROC wglDestroyPbufferARB;
	PFNWGLQUERYPBUFFERARBPROC wglQueryPbufferARB;
	PFNWGLBINDTEXIMAGEARBPROC wglBindTexImageARB;
	PFNWGLRELEASETEXIMAGEARBPROC wglReleaseTexImageARB;
	PFNWGLSETPBUFFERATTRIBARBPROC wglSetPbufferAttribARB;
	PFNWGLCREATEDISPLAYCOLORTABLEEXTPROC wglCreateDisplayColorTableEXT;
	PFNWGLLOADDISPLAYCOLORTABLEEXTPROC wglLoadDisplayColorTableEXT;
	PFNWGLBINDDISPLAYCOLORTABLEEXTPROC wglBindDisplayColorTableEXT;
	PFNWGLDESTROYDISPLAYCOLORTABLEEXTPROC wglDestroyDisplayColorTableEXT;
	PFNWGLGETEXTENSIONSSTRINGEXTPROC wglGetExtensionsStringEXT;
	PFNWGLMAKECONTEXTCURRENTEXTPROC wglMakeContextCurrentEXT;
	PFNWGLGETCURRENTREADDCEXTPROC wglGetCurrentReadDCEXT;
	PFNWGLCREATEPBUFFEREXTPROC wglCreatePbufferEXT;
	PFNWGLGETPBUFFERDCEXTPROC wglGetPbufferDCEXT;
	PFNWGLRELEASEPBUFFERDCEXTPROC wglReleasePbufferDCEXT;
	PFNWGLDESTROYPBUFFEREXTPROC wglDestroyPbufferEXT;
	PFNWGLQUERYPBUFFEREXTPROC wglQueryPbufferEXT;
	PFNWGLGETPIXELFORMATATTRIBIVEXTPROC wglGetPixelFormatAttribivEXT;
	PFNWGLGETPIXELFORMATATTRIBFVEXTPROC wglGetPixelFormatAttribfvEXT;
	PFNWGLCHOOSEPIXELFORMATEXTPROC wglChoosePixelFormatEXT;
	PFNWGLSWAPINTERVALEXTPROC wglSwapIntervalEXT;
	PFNWGLGETSWAPINTERVALEXTPROC wglGetSwapIntervalEXT;
	PFNWGLALLOCATEMEMORYNVPROC wglAllocateMemoryNV;
	PFNWGLFREEMEMORYNVPROC wglFreeMemoryNV;
	PFNWGLGETSYNCVALUESOMLPROC wglGetSyncValuesOML;
	PFNWGLGETMSCRATEOMLPROC wglGetMscRateOML;
	PFNWGLSWAPBUFFERSMSCOMLPROC wglSwapBuffersMscOML;
	PFNWGLSWAPLAYERBUFFERSMSCOMLPROC wglSwapLayerBuffersMscOML;
	PFNWGLWAITFORMSCOMLPROC wglWaitForMscOML;
	PFNWGLWAITFORSBCOMLPROC wglWaitForSbcOML;
	PFNWGLGETDIGITALVIDEOPARAMETERSI3DPROC wglGetDigitalVideoParametersI3D;
	PFNWGLSETDIGITALVIDEOPARAMETERSI3DPROC wglSetDigitalVideoParametersI3D;
	PFNWGLGETGAMMATABLEPARAMETERSI3DPROC wglGetGammaTableParametersI3D;
	PFNWGLSETGAMMATABLEPARAMETERSI3DPROC wglSetGammaTableParametersI3D;
	PFNWGLGETGAMMATABLEI3DPROC wglGetGammaTableI3D;
	PFNWGLSETGAMMATABLEI3DPROC wglSetGammaTableI3D;
	PFNWGLENABLEGENLOCKI3DPROC wglEnableGenlockI3D;
	PFNWGLDISABLEGENLOCKI3DPROC wglDisableGenlockI3D;
	PFNWGLISENABLEDGENLOCKI3DPROC wglIsEnabledGenlockI3D;
	PFNWGLGENLOCKSOURCEI3DPROC wglGenlockSourceI3D;
	PFNWGLGETGENLOCKSOURCEI3DPROC wglGetGenlockSourceI3D;
	PFNWGLGENLOCKSOURCEEDGEI3DPROC wglGenlockSourceEdgeI3D;
	PFNWGLGETGENLOCKSOURCEEDGEI3DPROC wglGetGenlockSourceEdgeI3D;
	PFNWGLGENLOCKSAMPLERATEI3DPROC wglGenlockSampleRateI3D;
	PFNWGLGETGENLOCKSAMPLERATEI3DPROC wglGetGenlockSampleRateI3D;
	PFNWGLGENLOCKSOURCEDELAYI3DPROC wglGenlockSourceDelayI3D;
	PFNWGLGETGENLOCKSOURCEDELAYI3DPROC wglGetGenlockSourceDelayI3D;
	PFNWGLQUERYGENLOCKMAXSOURCEDELAYI3DPROC wglQueryGenlockMaxSourceDelayI3D;
	PFNWGLCREATEIMAGEBUFFERI3DPROC wglCreateImageBufferI3D;
	PFNWGLDESTROYIMAGEBUFFERI3DPROC wglDestroyImageBufferI3D;
	PFNWGLASSOCIATEIMAGEBUFFEREVENTSI3DPROC wglAssociateImageBufferEventsI3D;
	PFNWGLRELEASEIMAGEBUFFEREVENTSI3DPROC wglReleaseImageBufferEventsI3D;
	PFNWGLENABLEFRAMELOCKI3DPROC wglEnableFrameLockI3D;
	PFNWGLDISABLEFRAMELOCKI3DPROC wglDisableFrameLockI3D;
	PFNWGLISENABLEDFRAMELOCKI3DPROC wglIsEnabledFrameLockI3D;
	PFNWGLQUERYFRAMELOCKMASTERI3DPROC wglQueryFrameLockMasterI3D;
	PFNWGLGETFRAMEUSAGEI3DPROC wglGetFrameUsageI3D;
	PFNWGLBEGINFRAMETRACKINGI3DPROC wglBeginFrameTrackingI3D;
	PFNWGLENDFRAMETRACKINGI3DPROC wglEndFrameTrackingI3D;
	PFNWGLQUERYFRAMETRACKINGI3DPROC wglQueryFrameTrackingI3D;
private:
	// Private member variables
	long m_count;	// number of functions loaded
};
#endif//__glexfp_h
