#include "GXBase.h"
using namespace gxbase;

// This program was written to test the new GLWindow::Printf() method,
// which provides simple font output suitable for frame rates, labels
// on objects, debugging etc.
//   JWW 23/09/03

class MyWindow :public GLWindow {
private:
	unsigned long m_count;
public:
	MyWindow() {
		m_count=0;
	}

	void OnDisplay() {
		glClear(GL_COLOR_BUFFER_BIT);

		// colour and position text
		glColor3f(0,1,0);
		glRasterPos2f(-0.9f,-0.9f);

		// print nothing, to get list ID
		static unsigned int id=Printf("");
		// test formatted printing
		Printf("Frame = %lu, ID = %u", m_count, id);

		m_count++;

		SwapBuffers();
	}

	void OnKeyboard(int key, bool down) {
		if (down) switch (tolower(key)) {
		case 's':
			// toggle stereo: this is so that I can test if
			// the font support survives a change of pixel format
			// - it does
			SetStereo( !GetStereo() );
			break;
		}
	}

	void OnIdle() {
		Redraw();
	}
};

class MyApp :public App {
private:
	MyWindow wnd;
};

static MyApp theApp;
